Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QSignalMapper Class Reference

The QSignalMapper class bundles signals from identifiable senders. More...

`#include <qsignalmapper.h>`

Inherits QObject.

List of all member functions.

## Public Members

- QSignalMapper ( QObject * parent, const char * name = 0 )
- ~QSignalMapper ()
- virtual void setMapping ( const QObject * sender, int identifier )
- virtual void setMapping ( const QObject * sender, const QString & identifier )
- void removeMappings ( const QObject * sender )

## Public Slots

- void map ()

## Signals

- void mapped ( int )
- void mapped ( const QString & )

## Detailed Description

The QSignalMapper class bundles signals from identifiable senders.

This class collects a set of parameterless signals, and re-emits them with integer or string parameters corresponding to the object that sent the signal.

See also Input/Output and Networking.

## Member Function Documentation

### QSignalMapper::QSignalMapper ( QObject * parent, const char * name = 0 )

Constructs a QSignalMapper called name, with parent parent. Like all QObjects, it will be deleted when the parent is deleted.

### QSignalMapper::~QSignalMapper ()

Destroys the QSignalMapper.

### void QSignalMapper::map ()`[slot]`

This slot emits signals based on which object sends signals to it.

Examples: i18n/main.cpp and themes/themes.cpp.

### void QSignalMapper::mapped ( int )`[signal]`

This signal is emitted when map() is signaled from an object that has an integer mapping set.

See also setMapping().

Examples: i18n/main.cpp and themes/themes.cpp.

### void QSignalMapper::mapped ( const QString & )`[signal]`

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

This signal is emitted when map() is signaled from an object that has a string mapping set.

See also setMapping().

### void QSignalMapper::removeMappings ( const QObject * sender )

Removes all mappings for sender. This is done automatically when mapped objects are destroyed.

### void QSignalMapper::setMapping ( const QObject * sender, int identifier )`[virtual]`

Adds a mapping so that when map() is signaled from the given sender, the signal mapped(identifier) is emitted.

There may be at most one integer identifier for each object.

Examples: i18n/main.cpp and themes/themes.cpp.

### void QSignalMapper::setMapping ( const QObject * sender, const QString & identifier )`[virtual]`

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Adds a mapping so that when map() is signaled from the given sender, the signal mapper(identifier) is emitted.

There may be at most one string identifier for each object, and it may not be empty.

This file is part of the Qt toolkit. Copyright © 1995-2003 Trolltech. All Rights Reserved.